Authentication
M2M Auth
Authenticates a machine-to-machine client using Basic Authentication and returns an access token. The Basic Auth value should be constructed as: Base64(clientId:clientSecret)
No request body is required. Credentials are passed only in the Authorization header.
Authorizations
AuthorizationstringRequired
Header parameters
AuthorizationstringRequiredExample:
Basic authentication header. Format: "Basic " + Base64(clientId:clientSecret)
Basic dXNlcm5hbWU6cGFzc3dvcmQ=Responses
200
Token generated successfully
application/json
tokenstringRequiredExample:
JWT token for authentication
eyJhbGciOiJIUzI1NiIsInR5cC.......expiresOnstring · date-timeRequiredExample:
Token expiration timestamp in ISO 8601 format
2024-10-22T18:40:54.908Z400
Bad request
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
post/m2m/token
POST /v1/m2m/token HTTP/1.1
Host: api.multiset.ai
Authorization: text
Accept: */*
{
"token": "eyJhbGciOiJIUzI1NiIsInR5cC.......",
"expiresOn": "2024-10-22T18:40:54.908Z"
}Code Examples
Browser (JavaScript)
Node.js (Backend)
Last updated
Was this helpful?

